classification
Title: 2to3 refactoring
Type: enhancement Stage:
Components: 2to3 (2.x to 3.x conversion tool) Versions:
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: collinwinter Nosy List: benjamin.peterson, collinwinter, gvanrossum
Priority: normal Keywords: needs review, patch

Created on 2008-08-21 20:46 by benjamin.peterson, last changed 2008-09-02 23:58 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
2to3_refactoring.patch benjamin.peterson, 2008-08-21 20:46
after_gps_review.patch benjamin.peterson, 2008-09-02 22:18
Messages (3)
msg71678 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-08-21 20:46
The attached patch moves cmdline processing logic out of RefactoringTool
and into its own module lib2to3.main. Guido and Collin: If you could
review this (it's on Rietveld [1]) sometime soon, I can check this in
and start writing the API docs for 2to3.

Thanks.

[1] http://codereview.appspot.com/3247
msg71844 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-08-24 16:55
This also restores 2.5 compatibility.
msg72372 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-09-02 23:58
Gregory P. Smith reviewed the change on Rietveld, and the patch was
applied in r66173.
History
Date User Action Args
2008-09-02 23:58:01benjamin.petersonsetstatus: open -> closed
resolution: accepted
messages: + msg72372
2008-09-02 22:18:26benjamin.petersonsetfiles: + after_gps_review.patch
2008-08-24 16:55:38benjamin.petersonsetmessages: + msg71844
2008-08-24 02:43:38benjamin.petersonsetkeywords: + needs review
2008-08-21 20:46:15benjamin.petersoncreate